Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.connect
Class IllegalConnectorArgumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.jdi.connect.IllegalConnectorArgumentsException

All Implemented Interfaces:
  Serializable

    public class IllegalConnectorArgumentsException

extends Exception

Thrown to indicate an invalid argument or inconsistent passed to a `Connector`.

Since:
  1.3
See Also:
  Serialized Form

Constructor Summary
`IllegalConnectorArgumentsException(String s, List<String> names)` Construct an `IllegalConnectorArgumentsException` with the specified detail message and a `List` of names of arguments which are invalid or inconsistent.
`IllegalConnectorArgumentsException(String s, String name)` Construct an `IllegalConnectorArgumentsException` with the specified detail message and the name of the argument which is invalid or inconsistent.

Method Summary
`List<String>` | `argumentNames()` Return a `List` containing the names of the invalid or inconsistent arguments.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalConnectorArgumentsException

    public IllegalConnectorArgumentsException(String s,
                                              String name)

  Construct an `IllegalConnectorArgumentsException` with the specified detail message and the name of the argument which is invalid or inconsistent.

  Parameters:
    `s` - the detailed message.
    `name` - the name of the invalid or inconsistent argument.

### IllegalConnectorArgumentsException

    public IllegalConnectorArgumentsException(String s,
                                              List<String> names)

  Construct an `IllegalConnectorArgumentsException` with the specified detail message and a `List` of names of arguments which are invalid or inconsistent.

  Parameters:
    `s` - the detailed message.
    `names` - a `List` containing the names of the invalid or inconsistent argument.

Method Detail

### argumentNames

    public List<String> argumentNames()

  Return a `List` containing the names of the invalid or inconsistent arguments.

  Returns:
    a `List` of argument names.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD